
#ifndef _config_nc_h
#define _config_nc_h

#ifdef HAVE_CONFIG_H

#include "config.h"

#endif /* HAVE_CONFIG_H */

/* Shorthand for gcc's unused attribute feature */
#if defined(__GNUG__) || defined(__GNUC__)
#define not_used __attribute__ ((unused))
#else
#define not_used
#endif /* __GNUG__ || __GNUC__ */

/* These are specific to the OPeNDAP netCDF 3.x client library. */
#define OP_EUNDEF 1000 /** Undefined error code (undefined_error) */
#define OP_EUNKNOWN 1001 /** Unknown error (unknown_error) */
#define OP_INTERNAL 1002 /** Internal server error (internal_error) */
#define OP_ENOFILE 1003 /** (no_such_file) */
#define OP_ENOVAR 1004 /** (no_such_variable) */
#define OP_EMALFORMED 1005 /** (malformed_expr) */
#define OP_EAUTH 1006 /** (no_authorization) */
#define OP_EREADFAIL 1007 /** (can_not_read_file) */
#define OP_EREAD_FAIL 1008 /** (cannot_read_file) */

/* Define interface renaming */
/* Remember NETCDF4=>RENAMEV3*/
#ifdef USE_NETCDF4
#include "nc3convert.h"
#endif

#endif /* _config_nc_h */
